Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::PriorityBandedConnectionPolicy_out Class Reference

`#include <RTCORBAC.h>`

Collaboration diagram for RTCORBA::PriorityBandedConnectionPolicy_out:

[legend]
List of all members.

## Public Methods
| PriorityBandedConnectionPolicy_out (PriorityBandedConnectionPolicy_ptr &)
| PriorityBandedConnectionPolicy_out (PriorityBandedConnectionPolicy_var &)
| PriorityBandedConnectionPolicy_out (const PriorityBandedConnectionPolicy_out &)
PriorityBandedConnectionPolicy_out & | operator= (const PriorityBandedConnectionPolicy_out &)
PriorityBandedConnectionPolicy_out & | operator= (const PriorityBandedConnectionPolicy_var &)
PriorityBandedConnectionPolicy_out & | operator= (PriorityBandedConnectionPolicy_ptr)
| operator PriorityBandedConnectionPolicy_ptr & ()
PriorityBandedConnectionPolicy_ptr & | ptr (void)
PriorityBandedConnectionPolicy_ptr | operator-> (void)
## Private Attributes
PriorityBandedConnectionPolicy_ptr & | ptr_

## Constructor & Destructor Documentation

RTCORBA::PriorityBandedConnectionPolicy_out::PriorityBandedConnectionPolicy_out | ( | PriorityBandedConnectionPolicy_ptr & |  | ) |

RTCORBA::PriorityBandedConnectionPolicy_out::PriorityBandedConnectionPolicy_out | ( | PriorityBandedConnectionPolicy_var & |  | ) |

RTCORBA::PriorityBandedConnectionPolicy_out::PriorityBandedConnectionPolicy_out | ( | const PriorityBandedConnectionPolicy_out & |  | ) |

## Member Function Documentation

RTCORBA::PriorityBandedConnectionPolicy_out::operator PriorityBandedConnectionPolicy_ptr & | ( |  | ) |

PriorityBandedConnectionPolicy_ptr RTCORBA::PriorityBandedConnectionPolicy_out::operator-> | ( | void |  | ) |

PriorityBandedConnectionPolicy_out& RTCORBA::PriorityBandedConnectionPolicy_out::operator= | ( | PriorityBandedConnectionPolicy_ptr |  | ) |

PriorityBandedConnectionPolicy_out& RTCORBA::PriorityBandedConnectionPolicy_out::operator= | ( | const PriorityBandedConnectionPolicy_var & |  | ) |

PriorityBandedConnectionPolicy_out& RTCORBA::PriorityBandedConnectionPolicy_out::operator= | ( | const PriorityBandedConnectionPolicy_out & |  | ) |

PriorityBandedConnectionPolicy_ptr& RTCORBA::PriorityBandedConnectionPolicy_out::ptr | ( | void |  | ) |

## Member Data Documentation

PriorityBandedConnectionPolicy_ptr& RTCORBA::PriorityBandedConnectionPolicy_out::ptr_`[private]`

The documentation for this class was generated from the following file:

- RTCORBAC.h